import { SfCommand } from '@salesforce/sf-plugins-core';
import { ConfigDependencies } from '../../lib/actions/ConfigAction';
import { Displayable } from '../../lib/Display';
export default class ConfigCommand extends SfCommand<void> implements Displayable {
    static readonly enableJsonFlag = false;
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly hidden = true;
    static readonly flags: {
        workspace: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'rule-selector': import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        'config-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'output-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    };
    run(): Promise<void>;
    protected createDependencies(outputFile?: string): ConfigDependencies;
}
