import { CodeAnalyzer } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
import { LogWriter } from '../writers/LogWriter';
export interface LogEventListener {
    listen(codeAnalyzer: CodeAnalyzer): void;
    stopListening(): void;
}
export declare class LogEventDisplayer implements LogEventListener {
    private readonly display;
    constructor(display: Display);
    listen(codeAnalyzer: CodeAnalyzer): void;
    stopListening(): void;
    private handleEvent;
}
export declare class LogEventLogger implements LogEventListener {
    private logWriter;
    constructor(logWriter: LogWriter);
    listen(codeAnalyzer: CodeAnalyzer): void;
    stopListening(): void;
    private handleEvent;
}
