/**
 * For now, the styling methods only accept objects if all of their keys correspond to string values. This puts the
 * burden of formatting non-string properties on the caller.
 */
type Styleable = null | undefined | {
    [key: string]: string;
};
export declare function toStyledHeaderAndBody(header: string, body: Styleable, keys?: string[]): string;
export declare function toStyledHeader(header: string): string;
export declare function toStyledPropertyList(body: Styleable, selectedKeys?: string[]): string;
export {};
