import { RunResults, Violation } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
export interface ResultsViewer {
    view(results: RunResults): void;
}
declare abstract class AbstractResultsViewer implements ResultsViewer {
    protected display: Display;
    constructor(display: Display);
    view(results: RunResults): void;
    protected countUniqueFiles(violations: Violation[]): number;
    protected abstract _view(results: RunResults): void;
}
export declare class ResultsDetailViewer extends AbstractResultsViewer {
    protected _view(results: RunResults): void;
    private displayDetails;
    private styleViolation;
    private displayBreakdown;
}
export declare class ResultsTableViewer extends AbstractResultsViewer {
    protected _view(results: RunResults): void;
}
/**
 * Returns the longest comment parent folder of the file paths provided
 * Note that this function assumes that all the paths are indeed files and not folders
 */
export declare function findLongestCommonParentFolderOf(filePaths: string[]): string;
export {};
